## Obtiene los usuarios asignados a un código cupón [/codigoCupon/getAllCodigoCuponUsuarios]

### getAllCodigoCupon [POST]
    Devuelve una lista de cupones

+ Request Ejemplo

    + Body
        {
            "idCodigoCupon":"00000001"
        }

+ Response 200 (application/json)
    + Relation: 200: OK

    + Body 
    {
        "error": false,
        "result": [
          {
            "id": "00000001",
            "nombre": "Ricardo Lebrón Zamudio",
            "activo": 1
          },
          {
            "id": "00000002",
            "nombre": "Norma Cordero Amador",
            "activo": 1
           },
           {
            "id": "00000003",
            "nombre": "Asunción Valdés Samaniego",
            "activo": 1
           },
           {
            "id": "00000004",
            "nombre": "Liliana Barreto Villareal",
            "activo": 1
           }
        ]
    }

+ Response 201 (application/json)
    + Relation: 201: no-data-found

    + Body
    {
        "error": {
            "code": 201,
            "message": "Sin datos"
        },
        "result": false
    }

+ Response 501 (application/json)
    + Relation: 501: Error-database

    + Body
    {
        "error": {
          "code": 501,
          "mensaje": "Error de base de datos",
          "cause": "$ el mensaje de error que regrese la base de datos"
        },
        "result": false
    }

+ Response 502 (application/json)
    + Relation: 502: Error-server
    
    + Body 
    {
        "error": {
            "code": 502,
            "mensaje": "Error de Servidor",
            "cause": "$ el mensaje de error o el printStackTrace que regresa el servidor o el API"
        },
        "result": false
    }